/* 
 * PCEditorController.h created by probert on 2002-02-02 15:28:33 +0000
 *
 * Project ProjectCenter
 *
 * Created with ProjectCenter - http://www.gnustep.org
 *
 * $Id: PCEditorController.h,v 1.4 2002/03/02 13:11:05 probert Exp $
 */

#ifndef _PCEDITORCONTROLLER_H_
#define _PCEDITORCONTROLLER_H_

#import <Foundation/Foundation.h>

@class PCProject;
@class PCEditor;

@interface PCEditorController : NSObject
{
    PCProject           *project;
    NSMutableDictionary *editorDict;
}

// ===========================================================================
// ==== Class Methods
// ===========================================================================

+ (void)openFileInEditor:(NSString *)path;
 
// ===========================================================================
// ==== Initialisation
// ===========================================================================

- (id)init;

- (void)dealloc;

// ===========================================================================
// ==== Project and Editor handling
// ===========================================================================

- (void)setProject:(PCProject *)aProject;

- (PCEditor *)internalEditorForFile:(NSString *)path;
- (PCEditor *)editorForFile:(NSString *)path;
- (NSArray *)allEditors;

- (void)closeAllEditors;

- (void)editorDidClose:(id)sender;

// ===========================================================================
// ==== File handling
// ===========================================================================

- (BOOL)saveAllFiles;

- (BOOL)saveFile;
- (BOOL)revertFile;

@end

#endif // _PCEDITORCONTROLLER_H_

